Bug 980073 - sharing created dashboards with other users
sharing created dashboards with other users
Status: NEW
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 07:04 EDT by Thorsten Grimm
Modified: 2014-07-24 09:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Grimm 2013-07-01 07:04:02 EDT
Description of problem:

It would be very helpful it it is possibel to share dashboards between users. For example one user did create a useful dashboard for his requirements. Now he want to share this dahsboard with colleagues out of his team. At the moment still everybody has to create dashboards on his own even when he needs exactly the same dashboard which is already existing.

Expected results:

A feature to share this dashboard with specific users would be very helpful.
Comment 1 Heiko W. Rupp 2013-07-17 08:21:21 EDT
Thorsten,

can you give more details about how the sharing is supposed to work.

I could imagine that e.g. only rhqadmin can create dashboards that rhqadmin then allows to clone/copy/share

Or should users be able to mark their dashboards as "public" and others can find and clone them?

What happens with the original dashboard if the shared one is modified?
Comment 2 Thorsten Grimm 2013-07-17 09:39:44 EDT
A rough implementation could be only rhqadmin can create dashboards, mark them as public and other users can use them but not change it. Depending on how huge and complexe the system environment is this could be more or less useful or in other words: "maybe the rhqadmins has a lot of dashboards to create!"

Therefore it would be more comfortbale if everybody can create dashboards and stipulate who is allowed to use it. Also it would be helpful if users can make this shared dashboards created by an other user their own on the condition to rename it. After that the user can do modifications and can again mark it as public with the new name to share it again with stipulatet users.

Note You need to log in before you can comment on or make changes to this bug.